%define upstream_name       Curses-UI-POE
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10
Epoch:      1
Summary:    A subclass makes Curses::UI POE Friendly
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:     http://www.cpan.org/modules/by-module/Curse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Curses::UI) >= 0.930.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE) >= 0.110.0
BuildArch:  noarch

%description
This is a subclass for Curses::UI that enables it to work with POE. It is
designed to simply slide over Curses::UI. Keeping the API the same and simply
forcing Curses::UI to do all of its event handling via POE, instead of internal
to itself. This allows you to use POE behind the scenes for things like
networking clients, without Curses::UI breaking your programs' functionality.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc CHANGES META.yml MYMETA.yml examples
%{perl_vendorlib}/Curses
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:0.40.0-10.mga8
+ Revision: 1493637
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1:0.40.0-9.mga7
+ Revision: 1266822
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1:0.40.0-8.mga6
+ Revision: 1024755
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1:0.40.0-7.mga6
+ Revision: 937633
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1:0.40.0-6.mga6
+ Revision: 937180
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.40.0-5.mga5
+ Revision: 745068
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.40.0-4.mga5
+ Revision: 684078
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.40.0-3.mga4
+ Revision: 510390
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.40.0-2.mga3
+ Revision: 364981
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 kharec <kharec> 1:0.40.0-1.mga2
+ Revision: 182559
- update to 0.04

* Mon Jan 24 2011 jquelin <jquelin> 1:0.35.0-2.mga1
+ Revision: 36865
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 1:0.35.0-1.mga1
+ Revision: 33662
- mageia rebuild
- imported package perl-Curses-UI-POE


* Thu Jul 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.35.0-1mdv2010.0
+ Revision: 396677
- new version
- use %%perl_version macro
- drop patch, useless now

* Wed Jan 21 2009 Jérôme Quelin <jquelin@mandriva.org> 1:0.031-1mdv2009.1
+ Revision: 332116
- bumping epoch, to force new version
- applying fix for rt #19681, not yet included upstream

  + Oden Eriksson <oeriksson@mandriva.com>
    - 0.031

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jun 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.02801-1mdv2008.0
+ Revision: 39291
- import error
- import perl-Curses-UI-POE


* Tue Feb 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.02801-1mdv2007.1
- initial mdv release
